Package: org.codehaus.groovy.grails.web.taglib.jsp

## [Java] Class JspRenderTag

- org.codehaus.groovy.grails.web.taglib.jsp.JspRenderTag

- JSP facade onto the GSP render tag.

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JspInvokeGrailsTagLibTag` | `attributes`
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `EVAL_BODY_TAG, EVAL_BODY_BUFFERED, EVAL_BODY_AGAIN, SKIP_BODY, EVAL_BODY_INCLUDE, SKIP_PAGE, EVAL_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JspRenderTag ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getBean()`
    `java.lang.String` | `getCollection()`
    `java.lang.String` | `getModel()`
    `java.lang.String` | `getTemplate()`
    `void` | `setBean(java.lang.String bean)`
    `void` | `setCollection(java.lang.String collection)`
    `void` | `setModel(java.lang.String model)`
    `void` | `setTemplate(java.lang.String template)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JspInvokeGrailsTagLibTag` | `doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `javax.servlet.jsp.tagext.BodyTagSupport#release(), javax.servlet.jsp.tagext.BodyTagSupport#doStartTag(), javax.servlet.jsp.tagext.BodyTagSupport#doEndTag(), javax.servlet.jsp.tagext.BodyTagSupport#doAfterBody(), javax.servlet.jsp.tagext.BodyTagSupport#setBodyContent(javax.servlet.jsp.tagext.BodyContent), javax.servlet.jsp.tagext.BodyTagSupport#doInitBody(), javax.servlet.jsp.tagext.BodyTagSupport#getBodyContent(), javax.servlet.jsp.tagext.BodyTagSupport#getPreviousOut(), javax.servlet.jsp.tagext.BodyTagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getParent(), javax.servlet.jsp.tagext.BodyTagSupport#getId(), javax.servlet.jsp.tagext.BodyTagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.BodyTagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#getValues(), javax.servlet.jsp.tagext.BodyTagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.BodyTagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.BodyTagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#wait(long, int), javax.servlet.jsp.tagext.BodyTagSupport#wait(long), javax.servlet.jsp.tagext.BodyTagSupport#wait(), javax.servlet.jsp.tagext.BodyTagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#toString(), javax.servlet.jsp.tagext.BodyTagSupport#hashCode(), javax.servlet.jsp.tagext.BodyTagSupport#getClass(), javax.servlet.jsp.tagext.BodyTagSupport#notify(), javax.servlet.jsp.tagext.BodyTagSupport#notifyAll()`

- - ### Constructor Detail

    - #### public JspRenderTag()

  - ### Method Detail

    - #### public java.lang.String getBean()

    - #### public java.lang.String getCollection()

    - #### public java.lang.String getModel()

    - #### public java.lang.String getTemplate()

    - #### public void setBean(java.lang.String bean)

    - #### public void setCollection(java.lang.String collection)

    - #### public void setModel(java.lang.String model)

    - #### public void setTemplate(java.lang.String template)